Package org.eclipse.cdt.core.dom.ast

# Class IScope.ScopeLookupData

java.lang.Object
org.eclipse.cdt.core.dom.ast.IScope.ScopeLookupData

Enclosing interface:
  IScope

public static class IScope.ScopeLookupData extends Object

Since:
  5.5
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ScopeLookupData(char[] name, IASTNode point)`
`ScopeLookupData(char[] name, IASTTranslationUnit tu)`
`ScopeLookupData(IASTName name, boolean resolve, boolean prefixLookup)`

## Method Summary

Modifier and Type
Method
Description
`final IIndexFileSet`
`getIncludedFiles()`
`final IIndex`
`getIndex()`
`final char[]`
`getLookupKey()`
`final IASTName`
`getLookupName()`
`final IASTNode`
`getLookupPoint()`
`IASTTranslationUnit`
`getTranslationUnit()`
`final boolean`
`isArgumentDependent()`
`final boolean`
`isIgnorePointOfDeclaration()`
`final boolean`
`isPrefixLookup()`
`final boolean`
`isResolve()`
`final void`
`setArgumentDependent(boolean argumentDependent)`
`final void`
`setIgnorePointOfDeclaration(boolean ignorePointOfDeclaration)`
`final void`
`setLookupKey(char[] key)`
`final void`
`setPrefixLookup(boolean prefixLookup)`
`final void`
`setResolve(boolean resolve)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScopeLookupData

public ScopeLookupData(IASTName name, boolean resolve, boolean prefixLookup)

### ScopeLookupData

public ScopeLookupData(char[] name, IASTNode point)

### ScopeLookupData

public ScopeLookupData(char[] name, IASTTranslationUnit tu)

Since:
  5.11

## Method Details

### setPrefixLookup

public final void setPrefixLookup(boolean prefixLookup)

### setResolve

public final void setResolve(boolean resolve)

### setIgnorePointOfDeclaration

public final void setIgnorePointOfDeclaration(boolean ignorePointOfDeclaration)

### setArgumentDependent

public final void setArgumentDependent(boolean argumentDependent)

Since:
  6.3

### setLookupKey

public final void setLookupKey(char[] key)

### getLookupKey

public final char[] getLookupKey()

### getLookupPoint

public final IASTNode getLookupPoint()

### isResolve

public final boolean isResolve()

### isPrefixLookup

public final boolean isPrefixLookup()

### isIgnorePointOfDeclaration

public final boolean isIgnorePointOfDeclaration()

### isArgumentDependent

public final boolean isArgumentDependent()

Since:
  6.3

### getIncludedFiles

public final IIndexFileSet getIncludedFiles()

### getIndex

public final IIndex getIndex()

### getLookupName

public final IASTName getLookupName()

### getTranslationUnit

public IASTTranslationUnit getTranslationUnit()